#                              makefile for TMsurviv
FC        = wfc386
FOPTS     = 
LINKER    = wlink file
PROGRAM   = TMsurviv.exe
LDFLAGS   = 

.extensions: 
.extensions: .exe .obj .f .for
.f.obj:
	$(FC) $(FOPTS) $[.

#.FOR.obj:
#	$(FC) $(FOPTS) $[.


OBJS   = cdtr.obj consrt.obj count.obj 
OBJS +=  cspool.obj cvtcas.obj dater.obj dlgama.obj dotest.obj 
OBJS +=  error.obj TMest.obj estmat.obj 
OBJS +=  fillsg.obj getcmd.obj headng.obj
OBJS +=  inital.obj ivalue.obj labels.obj linchk.obj matinv.obj 
OBJS +=  mindex.obj model.obj modout.obj movflt.obj movint.obj 
OBJS +=  ndtr.obj nonblk.obj nparm.obj numerr.obj optmiz.obj 
OBJS +=  optmz2.obj prtcmd.obj ran.obj samsiz.obj samsz2.obj 
OBJS +=  secnds.obj simlte.obj ss.obj sum.obj surviv.obj title.obj 
OBJS +=  value.obj verify.obj warn.obj

OBJ   = cdtr.obj,consrt.obj,count.obj,
OBJ +=  cspool.obj,cvtcas.obj,dater.obj,dlgama.obj,dotest.obj,
OBJ +=  error.obj,TMest.obj,estmat.obj,
OBJ +=  fillsg.obj,getcmd.obj,headng.obj,
OBJ +=  inital.obj,ivalue.obj,labels.obj,linchk.obj,matinv.obj,
OBJ +=  mindex.obj,model.obj,modout.obj,movflt.obj,movint.obj,
OBJ +=  ndtr.obj,nonblk.obj,nparm.obj,numerr.obj,optmiz.obj,
OBJ +=  optmz2.obj,prtcmd.obj,ran.obj,samsiz.obj,samsz2.obj,
OBJ +=  secnds.obj,simlte.obj,ss.obj,sum.obj,surviv.obj,title.obj,
OBJ +=  value.obj,verify.obj,warn.obj

$(PROGRAM):     $(OBJS) $(LIBS)
          $(LINKER) $(OBJ) name $@ $(LDFLAGS)

clean:;         @del -f $(OBJS)

### OPUS MKMF:  Do not remove this line!  Automatic dependencies follow.

TMest.obj:  TMest.f MODELC.FOR

consrt.obj: consrt.f MODELC.FOR STATUS.FOR

dotest.obj: dotest.f MODELC.FOR STATUS.FOR

error.obj: error.f STATUS.FOR

estmat.obj: estmat.f MODELC.FOR STATUS.FOR

fillsg.obj: fillsg.f STATUS.FOR

getcmd.obj: getcmd.f STATUS.FOR

headng.obj: headng.f HEADST.FOR STATUS.FOR

inital.obj: inital.f MODELC.FOR STATUS.FOR

labels.obj: labels.f MODELC.FOR STATUS.FOR

linchk.obj: linchk.f STATUS.FOR

model.obj: model.f MODELC.FOR STATUS.FOR

modout.obj: modout.f MODELC.FOR STATUS.FOR

numerr.obj: numerr.f STATUS.FOR

prtcmd.obj: prtcmd.f STATUS.FOR

samsz2.obj: samsz2.f STATUS.FOR

simlte.obj: simlte.f MODELC.FOR STATUS.FOR

ss.obj: ss.f MODELC.FOR STATUS.FOR

surviv.obj: surviv.f HEADST.FOR MODELC.FOR STATUS.FOR

title.obj: title.f HEADST.FOR STATUS.FOR

warn.obj: warn.f STATUS.FOR

