      SUBROUTINE MODEL
      INCLUDE 'STATUS'
      INCLUDE 'MODELC'
      INTEGER COUNT,IVALUE,I,II1,II2
      EXTERNAL COUNT,IVALUE
      COMMON /EVARS/ XINT(100)
      NCOHT=0
      NPAR=0
      NCONS=0
      NORMAL=.FALSE.
      ADDCEL=.FALSE.
      DO I=1,50
        XINT(I)=1
      END DO
C   OPEN UP DIRECT ACCESS FILE TO HOLD CHARACTER EXPRESSIONS FOR
C   CELL PROBABILITIES
      CLOSE(UNIT=SYSTP1,STATUS='delete')
      OPEN(UNIT=SYSTP1,ACCESS='DIRECT',FORM='FORMATTED',
     1   RECL=MAXCHS,STATUS='SCRATCH')
      DO 5 I=3,LSTWRD
         IF (WORDS(I).EQ.'NPAR') THEN
            NPAR = IVALUE(WORDS(I+2))
            IF (NPAR.GT.MAXPAR)
     1      CALL ERROR('NPAR exceeds MAXPAR.  '//
     2      'Recompile with MAXPAR = NPAR in PARAMETER statement.')
         ELSE IF (WORDS(I).EQ.'NORMALIZE') THEN
            NORMAL=.TRUE.
         ELSE IF (WORDS(I).EQ.'ADDCELL') THEN
            ADDCEL=.TRUE.
         ENDIF
    5    CONTINUE
   10 DO 7 I=1,MAXPAR
         SLABEL(I)=' '
         WRITE(SLABEL(I),FMT='(10HPARAMETER ,I2)') I
    7    CONTINUE
      CALL GETCMD
   20 IF (WORDS(1).EQ.'PROC') THEN
         INDENT=1
         CALL MODOUT
         MODNUM=0
         RETURN
      ELSE IF (WORDS(1).EQ.'LABELS' .OR. WORDS(1).EQ.'LABEL') THEN
         INDENT=2
         CALL LABELS
      ELSE IF (WORDS(1).EQ.'INTERVAL' .OR. WORDS(1).EQ.'INTERVALS') THEN
         DO I=3,LSTWRD
           READ(WORDS(I),*)XINT(I-2)
         ENDDO
         CALL GETCMD
      ELSE IF (WORDS(1).EQ.'COHORT') THEN
         INDENT=2
         NCOHT=NCOHT+1
         IF (NCOHT.GT.MAXCHT)
     1   CALL ERROR('Number of cohorts exceeds MAXCHT.'//
     2   '   Recompile with MAXCHT = # cohorts.')
         N(NCOHT) = IVALUE(WORDS(3))
         NCLASS(NCOHT)=0
         CALL GETCMD
      ELSE
         INDENT=3
         NCLASS(NCOHT)=NCLASS(NCOHT)+1
         IF (NCLASS(NCOHT).GT.MXCLAS)
     1   CALL ERROR('Number of classes exceeds MXCLAS.'//
     2   '   Recompile with MXCLAS = # classes.')
         OBS(NCLASS(NCOHT),NCOHT) = IVALUE(WORDS(1))
         SFUNCS=' '
         DO 15 I=3,LSTWRD
         II1=(I-3)*10+1
         II2=(I-2)*10
15       SFUNCS(II1:II2)=WORDS(I)
         IF (COUNT(SFUNCS,'(') .NE.
     1   COUNT(SFUNCS,')'))
     2   CALL ERROR('Imbalanced parentheses in probability expression.')
         CALL GETCMD
         WRITE(UNIT=SYSTP1,REC=(NCOHT-1)*MXCLAS+NCLASS(NCOHT),
     1      FMT='(A)') SFUNCS
      ENDIF
      GO TO 20
      END

